#include <linux/module.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__attribute__((section(".gnu.linkonce.this_module"))) = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

static const struct modversion_info ____versions[]
__used
__attribute__((section("__versions"))) = {
	{ 0xad18a916, __VMLINUX_SYMBOL_STR(module_layout) },
	{ 0xdd0f67e6, __VMLINUX_SYMBOL_STR(xfrm6_prepare_output) },
	{ 0xeaa956b0, __VMLINUX_SYMBOL_STR(xfrm_prepare_input) },
	{ 0x32593e0d, __VMLINUX_SYMBOL_STR(xfrm_unregister_mode) },
	{ 0xd6f0ec44, __VMLINUX_SYMBOL_STR(xfrm_register_mode) },
	{ 0xb0e602eb, __VMLINUX_SYMBOL_STR(memmove) },
	{ 0xfef3fcb, __VMLINUX_SYMBOL_STR(pskb_expand_head) },
	{ 0xca1365c5, __VMLINUX_SYMBOL_STR(ip6_dst_hoplimit) },
	{ 0x4b8fd56b, __VMLINUX_SYMBOL_STR(skb_mac_gso_segment) },
	{ 0xc8fe1a29, __VMLINUX_SYMBOL_STR(__pskb_pull_tail) },
	{ 0xbdfb6dbb, __VMLINUX_SYMBOL_STR(__fentry__) },
};

static const char __module_depends[]
__used
__attribute__((section(".modinfo"))) =
"depends=";

